Skip to content
Developer

Microsoft Login

Login and sessions3 EndpointsSocial Login / Microsoft Login

Get redirect for microsoft login

GET/api/opendata/microsoft/login

Responses

200Get redirect for microsoft loginOpenDataRedirect

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/opendata/microsoft/login
Response 200 application/json
{}

Do log in with microsoft code

POST/api/opendata/microsoft/login

Request body application/json

  • dataFormLoginUser3
    Show fields (3)
    • codestring

      Code of the login form user.

    • typestring

      Type of the login form user.

    • client_idstring

      Identifier of the client the login form belongs to.

Responses

200Do log in with microsoft codeSession

Show fields (15)
  • idinteger

    Primary key of the session. Internal ID.

  • sessionidstring

    ID of the session.

  • selectedcustomerCustomerProfile

    Customer profile selected in the session.

    Show fields (6)
    • idinteger

      Primary key of the customer profile. Internal ID.

    • slackchannelstring

      Slack channel of the customer profile.

    • displaynamestring

      Name shown for the customer profile.

    • deletedboolean

      Whether the customer profile is deleted.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

  • startstring (date-time)

    Point in time the session started.

  • refreshed_startstring (date-time)

    Point in time the session was last refreshed.

  • ipstring

    IP address of the client.

  • validboolean

    Whether the session is valid.

  • is_api_keyboolean

    Whether the session was created with an API key.

  • is_dgboolean

    Whether the session is for the DG (member organization) context.

  • missing2faboolean

    Whether two-factor authentication is still missing.

  • start_in_vpnboolean

    Whether the session started in a VPN.

  • auth_by_credentialsboolean

    Whether the session was authenticated with user name and password.

  • auth_by_googleboolean

    Whether the session was authenticated with Google.

  • auth_by_microsoftboolean

    Whether the session was authenticated with Microsoft.

  • auth_by_cloudflareboolean

    Whether the session was authenticated with Cloudflare Access.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/opendata/microsoft/login \
  --header 'content-type: application/json' \
  --data '
{
  "data": {
    "code": "string",
    "type": "string",
    "client_id": "42"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "sessionid": "string",
  "selectedcustomer": {
    "id": 42,
    "slackchannel": "string",
    "displayname": "string",
    "deleted": true,
    "created": "2026-10-15T09:30:00+02:00",
    "updated": "2026-10-15T09:30:00+02:00"
  },
  "start": "2026-10-15T09:30:00+02:00",
  "refreshed_start": "2026-10-15T09:30:00+02:00",
  "ip": "string",
  "valid": true,
  "is_api_key": true,
  "is_dg": true,
  "missing2fa": true
}

Remove microsoft user connection

DELETE/api/opendata/microsoft/login

Responses

200Remove microsoft user connectionSuccess

Show fields (3)
  • successboolean
  • messagestring
  • error_codesarray<integer>
Request
curl --request DELETE \
  --url https://your-instance.iw-erp.de/api/opendata/microsoft/login
Response 200 application/json
{
  "success": true,
  "message": "string",
  "error_codes": [
    1
  ]
}